com.lowagie.rups.model

## Class XfaFile

- java.lang.Object
- - com.lowagie.rups.model.XfaFile

All Implemented Interfaces:
  OutputStreamResource

    public class XfaFile
    extends java.lang.Object
    implements OutputStreamResource

Class that deals with the XFA file that can be inside a PDF file.

### Field Summary

Fields
`protected Document` `xfaDocument` The X4J Document object (XML).

### Constructor Summary

Constructors
Constructor and Description
`XfaFile(OutputStreamResource resource)` Constructs an XFA file from an OutputStreamResource.

### Method Summary

Methods
`Document` `getXfaDocument()` Getter for the XFA Document object.
`void` `writeTo(java.io.OutputStream os)` Writes a formatted XML file to the OutputStream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### xfaDocument

    protected Document xfaDocument

The X4J Document object (XML).

### Constructor Detail

#### XfaFile

    public XfaFile(OutputStreamResource resource)
            throws java.io.IOException,
                   DocumentException

Constructs an XFA file from an OutputStreamResource. This resource can be an XML file or a node in a RUPS application.

Parameters:
  `resource` - the XFA resource
Throws:
  `java.io.IOException`
  `DocumentException`

### Method Detail

#### getXfaDocument

    public Document getXfaDocument()

Getter for the XFA Document object.

Returns:
  a Document object (X4J)

#### writeTo

    public void writeTo(java.io.OutputStream os)
                 throws java.io.IOException

Writes a formatted XML file to the OutputStream.

Specified by:
  `writeTo` in interface `OutputStreamResource`
Parameters:
  `os` - the OutputStream to which the XML is written.
Throws:
  `java.io.IOException` - usual exception when there's a problem writing to an OutputStream
See Also:
  `OutputStreamResource.writeTo(java.io.OutputStream)`